Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Cryptix V3.1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## cryptix.provider.elgamal
Class DefaultElGamalParameterSet

    java.lang.Object
      |
      +--cryptix.provider.elgamal.GenericElGamalParameterSet
            |
            +--cryptix.provider.elgamal.DefaultElGamalParameterSet

public class DefaultElGamalParameterSet
extends GenericElGamalParameterSet

A default set of ElGamal parameters for Cryptix. These parameters may change in future versions of Cryptix, and longer primes will be added.

The best methods for computing discrete logarithms in GF(p) have an expensive pre-computation stage, but once the pre-computation has been done, individual logarithms can be calculated quickly. In order to make sure that a particular set of parameters does not become too much of a target because it is used in more than one application, you may wish to generate your own set of parameters.

Most of this source file was generated automatically using:

> `java cryptix.examples.CreateElGamalParameterSet`
> `cryptix.security.elgamal.DefaultElGamalParameterSet 384 512 768 1024 1536`
> `> DefaultElGamalParameterSet.java`

References:

1. Bruce Schneier, "Section 11.3 Number Theory" (heading "Calculating Discrete Logarithms in a Finite Group," pages 262-263), Applied Cryptography, 2nd edition, John Wiley & Sons, 1996.

$Revision: 1.4 $

Since:
  Cryptix 2.2.2
Author:
  David Hopwood
See Also:
  `cryptix.examples.CreateElGamalParameterSet`, `GenericElGamalParameterSet`, `cryptix.provider.elgamal.ConcreteElGamalKeyPairGenerator`

Constructor Summary
`DefaultElGamalParameterSet()`

Methods inherited from class cryptix.provider.elgamal.GenericElGamalParameterSet
`checkSane, getParameters`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### DefaultElGamalParameterSet

    public DefaultElGamalParameterSet()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Cryptix V3.1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright (C) 1995-2000 The Cryptix Foundation Ltd. All rights reserved.